import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'red');
circle.attr('stroke', 'blue');

const eyeSpacing = 75;
const eyeYOffset = -69;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -90;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);


const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(5000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(5000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);



const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 110,
      outerRadius: 120,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));











